version: '3.6'  # all version at https://docs.docker.com/compose/compose-file/compose-file-v3/

services:

  postgres_restored_c:
    image: postgres
    # login defaut as user/pass as postgres/postgres

    #region volmap
    environment:
      - POSTGRES_PASSWORD=postgres  # required orerr > You must specify POSTGRES_PASSWORD to a non-empty value
      -            PGDATA=/var/lib/postgresql/data/pgdata  # ref PGDATA header @ https://hub.docker.com/_/postgres
    volumes:
      - postgres_v:/var/lib/postgresql/data
    #endregion volmap

  adminer_c:  # aka GUI db client
    image: wodby/adminer  # ref https://github.com/wodby/adminer#environment-variables
    ports:
      - 1123:9000
    environment:
      - ADMINER_DEFAULT_DB_DRIVER=pgsql
      -   ADMINER_DEFAULT_DB_HOST=postgres_restored_c
      # -   ADMINER_DEFAULT_DB_NAME=postgres
      # ref https://hub.docker.com/_/adminer/
      # ref https://github.com/wodby/adminer#environment-variables
      # ref https://github.com/TimWolla/docker-adminer/issues/52#issuecomment-598808641

volumes:
  postgres_v:
